de.esprit.netsuite.client.gui.action

## Class AdminActionValidator<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.gui.DefaultActionValidator
  - - de.esprit.netsuite.client.gui.action.ClientActionValidator<C>
    - - de.esprit.netsuite.client.gui.action.UserActionValidator<C>
      - - de.esprit.netsuite.client.gui.action.AdminActionValidator<C>

- All Implemented Interfaces:
    ActionValidator, ValidationChangeEvent.Source, ClientObject<C>

      public class AdminActionValidator<C extends ClientContext>
      extends UserActionValidator<C>

  This Validator enables an action only if the login user is the admin user.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminActionValidator(C clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkUserPermission(User user)`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.UserActionValidator

      `checkPermission`

    - ### Methods inherited from class de.esprit.netsuite.client.gui.action.ClientActionValidator

      `getClientContext, isLoggedIn, isOnline, isUserAuthentificationSensitive, setUserAuthentificationSensitive`

    - ### Methods inherited from class de.esprit.common.gui.DefaultActionValidator

      `addValidationListener, fireAvailabilityChecks, isPermitted, removeValidationListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminActionValidator

          public AdminActionValidator(C clientCtx)

  - ### Method Detail

    - #### checkUserPermission

          protected void checkUserPermission(User user)
                                      throws java.lang.Exception

      Overrides:
        `checkUserPermission` in class `UserActionValidator<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.